%global date 2016-01-06
%global git 9d6094a7c41e

Name:		dtv-scan-tables
Version:	1
Release:	1.%(echo %{date} | tr -d -)git%{git}%{?dist}
Summary:	Digital TV scan tables

#2013-07-19: License discussed in: https://bugzilla.redhat.com/show_bug.cgi?id=986051#c4
License:	Public Domain
URL:		http://git.linuxtv.org/cgit.cgi/dtv-scan-tables.git/
Source0:	http://linuxtv.org/downloads/dtv-scan-tables/dtv-scan-tables-%{date}-%{git}.tar.bz2
BuildArch:	noarch
BuildRequires:	v4l-utils >= 1.4.0
# FPC permission for Conflicts:
# https://lists.fedoraproject.org/pipermail/packaging/2013-July/009346.html
# https://fedorahosted.org/fpc/ticket/316
Conflicts:	dvb-apps < 1.1.2-6.1488.f3a70b206f0f

%description
This package contains digital TV scan tables that are used by TV applications
to scan for channels.

%package legacy
Summary:	Digital TV scan tables in the legacy DVBv3 format

%description legacy
This package contains digital TV scan tables that are used by TV applications
to scan for channels in the legacy DVBv3 format, compatible with the old
dvb-apps.

%prep
%setup -T -c
%{__tar} xf %{SOURCE0} --transform="s,/usr/share/dvb/,,"

%build
make dvbv3

%install
make DATADIR=%{buildroot}/%{_datadir} install install_v3

%files legacy
%license COPYING COPYING.LGPL
%{_datadir}/dvbv3/

%files
%license COPYING COPYING.LGPL
%{_datadir}/dvbv5/

%changelog
* Sun Feb 21 2016 Mauro Carvalho Chehab <m.chehab@samsung.com> - 1-1.20160106git9d6094a7c41e
- Update to the latest release

* Wed Jan  6 2016 Ville Skyttä <ville.skytta@iki.fi> - 1-3.20151108gitfe6079b60c6b
- Update to 2015-11-08-fe6079b60c6b, ship COPYING* as %%license

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-3.20140905git4aad313
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Sep 27 2014 Mauro Carvalho Chehab <m.chehab@samsung.com> - 1-2.20140905git4aad313
- Update to latest release and create a package for the legacy format

* Sun Aug 31 2014 Till Maas <opensource@till.name> - 0-7.20140512git1246b27
- Update to latest release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-6.20140309git177b522
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 23 2014 Mauro Carvalho Chehab <m.chehab@samsung.com> 0-5.20140309git177b522
- Update to the latest DTV tables

* Mon Jan 13 2014 Till Maas <opensource@till.name> - 0-4.20130713gitd913405
- Update Conflicts
- Move license files to %%{_pkgdocdir}

* Fri Nov 08 2013 Till Maas <opensource@till.name> - 0-3.20130713gitd913405
- Include date and git hash in changelog
- Update Conflicts

* Fri Nov 01 2013 Till Maas <opensource@till.name> - 0-2
- Update license

* Thu Jul 18 2013 Till Maas <opensource@till.name> - 0-1
- initial Package
